Nach Update auf 0.9.7 kann keinen neuen Drucker anlegen



  • Hallo,
    seit ich ein Update auf 0.9.7 aufgespielt habe, kann ich keine neuen Drucker mehr anlegen. Alles andere funktioniert.
    Fehlermeldung:
    Exception occurred:

    isys_exception_database : Query error: 'INSERT INTO isys_cats_prt_list SET isys_cats_prt_list__description = '', isys_cats_prt_list__isys_cats_prt_type__id = NULL, isys_cats_prt_list__isys_cats_prt_emulation__id = NULL, isys_cats_prt_list__iscolor = NULL, isys_cats_prt_list__isduplex = NULL, isys_cats_prt_list__isys_cats_prt_paper__id = NULL, isys_cats_prt_list__status = '1'': Column 'isys_cats_prt_list__isys_cats_prt_type__id' cannot be null (Extended Information: array ( 'server' => '5.0.26', 'host' => 'Localhost via UNIX socket', 'client' => '5.0.26', 'proto' => 10, ))

    Hat jemand einen Tip?
    Danke!



  • selbes Problem!



  • Offensichtlich sind nicht nur Drucker sondern auch Mobiltelefone und andere Kategorien betroffen …

    Beim Anlegen eines neuen Mobiltelefons passiert zb. folgendes:

    isys_exception_database : Query error: 'INSERT INTO isys_cats_cp_contract_list SET isys_cats_cp_contract_list__description = '', isys_cats_cp_contract_list__isys_cp_contract_type__id = NULL, isys_cats_cp_contract_list__card_number = '', isys_cats_cp_contract_list__serial_number = '', isys_cats_cp_contract_list__phone_number = '', isys_cats_cp_contract_list__client_number = '', isys_cats_cp_contract_list__start_date = NULL, isys_cats_cp_contract_list__end_date = NULL, isys_cats_cp_contract_list__pin = '', isys_cats_cp_contract_list__pin2 = '', isys_cats_cp_contract_list__puk = '', isys_cats_cp_contract_list__puk2 = '', isys_cats_cp_contract_list__twincard = NULL, isys_cats_cp_contract_list__tc_card_number = '', isys_cats_cp_contract_list__tc_serial_number = '', isys_cats_cp_contract_list__tc_phone_number = '', isys_cats_cp_contract_list__tc_pin = '', isys_cats_cp_contract_list__tc_pin2 = '', isys_cats_cp_contract_list__tc_puk = '', isys_cats_cp_contract_list__tc_puk2 = '', isys_cats_cp_contract_list__threshold_date = NULL, isys_cats_cp_contract_list__status = '1'': Column 'isys_cats_cp_contract_list__threshold_date' cannot be null (Extended Information: array ( 'server' => '5.0.45', 'host' => 'Localhost via UNIX socket', 'client' => '5.0.45', 'proto' => 10, ))

    Ich werde wohl auf mein gestriges backup zurücksteigen müssen zumal das system derzeit nicht einsetzbar ist.



  • Kann ein Update wieder zurückgerollt werden?
    Ich habe dummerweise vor der Update gar keinen Backup gemacht.
    Danke!



  • Versucht das Update bitte noch einmal herunter zu laden und erneut auszuführen
    http://i-doit.org/de/downloads?id=54



  • Also habe das mit dem Update eben nochmal probiert wenn ich jetzt updaten will bleiben meine Seiten leer

    PS: Kann hier irgendwie nichts hochladen der meint immer "The Upload Folder is full, please try a smaller picture .."



  • In deinem Post http://www.i-doit.org/forum/index.php/topic,1069.0/topicseen.html sehe ich im Screenshot, dass ein bestimmtes Element im HTML Code nicht zur Verfügung war, daher die leere Seite. Das Update sollte er aber durchgeführt haben, sofern Step 6 (Overview) nicht auch eine leere Seite zeigt



  • Hallo wie bereits gesagt ich habe vorher bereits ein Update auf Version 0.9.7 durchgeführt.
    Dieses lief problemlos.

    Erst als ich nun erneut versucht habe von Version 0.9.7 auf 0.9.7 zu Updaten sind diese leeren Seiten im Update Modul entstanden.



  • Nach einer neuen Download und Installation des Updates läuft es wieder.
    Danke!



  • Zu früh gefreut.
    Ich kann zwar Drucker anlegen aber im Register Drucker kommt die Fehlermeldung;
    "isys_exception_cmdb : CMDB Exception: Could not get categories for distributor (Extended Information: 32774) ".

    Beim Einbinden eines Bildobjekts kommt die Meldung;
    "isys_exception_cmdb : CMDB Exception: Could not handle isys_cmdb_action_category_update 0003h (0): isys_exception_cmdb : CMDB Exception: Could not save category entry (isys_cmdb_dao_category_g_image->save_element()) - return code is -1 (Extended Information: 32771) (Extended Information: 32771)".

    Hat jemand einen Tip?
    Danke!



  • Das ist ein Bug!
    Wir sind dran und liefern demnächst einen Fix dafür



  • Ist gefixt und im aktuellsten SVN Snapshot enthalten:
    http://dev.synetics.de/nb/idoit-4151.zip
    Einfach über den i-doit Ordner drüber bügeln und bitte Feedback geben 🙂

    PS: Das angelegte Druckerobjekt von vorhin bitte unbedingt löschen und purgen!



  • Hallo also bei mir Funktioniert die Update funktion irgendwie immer noch nicht habe nun die Sicherung zurückgespielt.
    Wenn ich nun auf Update gehe und dort dann die Version auswähle auf die ich Updaten möchte, klicke ich auf weiter und wie gehabt bleibt mir danach die Seite ohne Inhalt.

    Habe mittlerweile auch den Updates Ordner mal komplett gelöscht und den Originalen der Version 0.9.6.1 rein kopiert aber bringt irgendwie alles nichts.

    Was kann ich tun ?



  • gestern runtergeladen:
    f4f4eea5757c9c932ee592e6d778b4c5  idoit-0.9.7-update.zip

    Heute nochmals runtergeladen:
    96666631333b3cf156252d7a07deecb8  idoit-0.9.7-update.zip

    die SVN Builds einfach "drüberbügeln" hat bei einigen früheren tests nicht toll mit der boxed version geklappt. reicht's den update folder vom svn snapshot zu verwenden oder passt das vorhin runtergeladene update bereits ?



  • rgarcia: kommt immernoch der Javascript Fehler in der Konsole?

    pgo: (idoit-0.9.7.zip) = adfbee126880d0fbe7df8f43866c6c94 sollte passen, oder SVN zip drüber kopieren - DB Update ist nicht erforderlich



  • Was heisst "drüber bügeln"?



  • In das i-doit Source Verzeichnis entpacken und bestehende Dateien überschreiben



  • Überschreibe ich dann nicht meinen Datenbank auch?
    Danke!



  • die nochmals gezogenen datein sind

    61fe76b383e6a146fbd2135cba882c34  idoit-0.9.7-update.zip
    adfbee126880d0fbe7df8f43866c6c94  idoit-0.9.7.zip

    sieht jetzt auf dem test-system gut aus. werde noch weiter testen und wenn alles klappt auf dem produktionssystem upgraden.



  • @bozkur_h:

    Überschreibe ich dann nicht meinen Datenbank auch?

    Deine Datenbank ist ja normal in /var/lib/mysql und hat nicht direkt mit den php's zu tun. Nur sind die vollen pakete nicht für die zusatzplugins wie import oder report manager voreingerichtet weswegen ich die updates bevorzuge um nicht wieder alle einstellungen nacharbeiten zu muessen


Log in to reply
 


Datenschutz / Privacy Policy